# setup.py
from setuptools import setup
from setuptools import find_packages

setup(
    name='malwarescan',
    version="0.0.1",
    description="""\
    MalwareScan Framework - Unified API frontend to various malware \
    analysis and sandboxing backends.""",
    long_description="""\
    This framework contains a set of web applications providing the MalwareScan API, \
    alongside some caching and optimization routines.
    """,
    author="Lyuben Bahtarliev",
    author_email="lyuben.bahtarliev@akat-t.com",
    url="https://github.com/lbahtarliev/malwarescan",
    license="The Unlicense - http://unlicense.org/",
    keywords=[
        "Swagger", "MalwareScan", "Malware", "Content Analysis", "Sandbox"
    ],
    packages=['malwarescan', 'libs', 'exts', 'mods.api', 'mods.ui', 'mods.admin'],
    #packages=find_packages(),
    zip_safe=False,
    include_package_data=True,
    entry_points={
        'console_scripts': [
            'malwarescan = malwarescan.cli:cli',
            'run_apis = malwarescan.app:run_apis',
            'run_tasks = malwarescan.celery:celery.worker_main',
            'run_wsclient = malwarescan.wsclient:run_wsclient',
        ]
    },
    install_requires=[
        'celery',
        'connexion',
        'cryptography',
        'Flask',
        'Flask-Admin',
        'Flask-AppFactory',
        'Flask-CeleryExt',
        'Flask-Mail',
        'Flask-SQLAlchemy',
        'Flask-Uploads',
        'psycopg2-binary',
        'websocket-client',
    ],
)
